Subject: Trainer Candidate - Prabhdeep Kaur
From: Prabhdeep Kaur <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 19 May 2021 23:44:44 -0400

Tech Support
Test

Name

Prabhdeep
Kaur

E-mail

[email-masked]

Phone Number

(91) 9914700551

Do you have your own transportation
(2 or 4 wheeler) or are you able to commute to office without using Metro? Our
office is located in Noida Sector 2, near Noida - Sector 15 Metro
Station

I can commute using other transport like
Rickshaw

Where do you currently live (area)

Chandigarh

Please give us details of your last 3
employments including current. If you've not worked in 3 companies, please enter
NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Bethel International Public School

Lecturer

31st
March,2020

35000

Previous Employer 1

Chandigarh University

Assistant
Professor

4th Jan 2019

32000

Previous Employer 2

If Selected, how much time do you need
to join?

15 days

Please briefly
describe your work experience specifically in training?

I have
trained a batch strength of 130 at a time and have an experience of more than 4
years in teaching and training.

Have you worked as a
trainer in a Call Center/Customer Service/BPO Environment?

No

Please tell us below in 300 - 500
words about the most difficult situation you faced either while training or
managing a team.

Once i encountered a very problematic situation
during my work tenure. One of my colleagues in my team had short term memory
loss problem. She had difficulty in understanding things. Sometimes she would
even forget how to do the dedicated task. So when this started affecting the
overall efficiency of our team, i was worried as i was the team leader. So, i
took extra time to make her understand the things and tried to explain her in an
easy manner. Also, i gave her less number of tasks and that too easy ones and
handled all other things by myself. This is how i handled the situation and got
the desired output for my whole team.

What according to you
is the difference between good and great customer service. (Explain in 4 - 6
sentences)

A good customer service is when a customer is
satisfied but a great customer service when a customer is not only satisfied but
retained for future as well. A good customer service just provides a resolution
but a great customer service provides an immediate and optimum
resolution.

What according to you makes you a good candidate
for this position?

I have excellent leadership and team management
skills. I am so passionate towards my work that i don’t care about the hurdles
in my path and keep moving forward towards my goal. I am well experienced for
the desired role and i can make  the organisation go a long way if we work
together.

On a scale of 1 - 5 please rate your fluency in
spoken English

5